Package org.apache.storm.redis.trident

## Class WordCountStoreMapper

- java.lang.Object
- - org.apache.storm.redis.trident.WordCountStoreMapper

- All Implemented Interfaces:
    `Serializable`, `RedisMapper`, `RedisStoreMapper`, `TupleMapper`

      public class WordCountStoreMapper
      extends Object
      implements RedisStoreMapper

  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `WordCountStoreMapper()` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `RedisDataTypeDescription` | `getDataTypeDescription()` | Returns descriptor which defines data type.
    `String` | `getKeyFromTuple​(ITuple tuple)` | Extracts key from tuple.
    `String` | `getValueFromTuple​(ITuple tuple)` | Extracts value from tuple.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### WordCountStoreMapper

          public WordCountStoreMapper()

  - ### Method Detail

    - #### getDataTypeDescription

          public RedisDataTypeDescription getDataTypeDescription()

      Description copied from interface: `RedisMapper`
      Returns descriptor which defines data type.
      Specified by:
        `getDataTypeDescription` in interface `RedisMapper`
      Returns:
        data type descriptor

    - #### getKeyFromTuple

          public String getKeyFromTuple​(ITuple tuple)

      Description copied from interface: `TupleMapper`
      Extracts key from tuple.
      Specified by:
        `getKeyFromTuple` in interface `TupleMapper`
      Parameters:
        `tuple` - source tuple
      Returns:
        key

    - #### getValueFromTuple

          public String getValueFromTuple​(ITuple tuple)

      Description copied from interface: `TupleMapper`
      Extracts value from tuple.
      Specified by:
        `getValueFromTuple` in interface `TupleMapper`
      Parameters:
        `tuple` - source tuple
      Returns:
        value